View a markdown version of this page

UpdateLinkedWhatsAppBusinessAccountPhoneNumber - AWS End User Messaging Social

UpdateLinkedWhatsAppBusinessAccountPhoneNumber

Updates the calling settings for a linked WhatsApp business phone number, such as whether calling is enabled and the hours during which the business accepts calls.

Request Syntax

PUT /v1/whatsapp/waba/phone?id=id HTTP/1.1 Content-type: application/json { "callSettings": { "callbackPermissionStatus": "string", "callEnabled": boolean, "callHours": { "enabled": boolean, "holidaySchedule": [ { "date": "string", "endTime": { "hours": number, "minutes": number }, "startTime": { "hours": number, "minutes": number } } ], "timezone": "string", "weeklyOperatingHours": [ { "closeTime": { "hours": number, "minutes": number }, "dayOfWeek": "string", "openTime": { "hours": number, "minutes": number } } ] }, "callIconVisibility": "string" } }

URI Request Parameters

The request uses the following URI parameters.

id

The unique identifier of the phone number to update. The phone number identifiers are formatted as phone-number-id-01234567890123456789012345678901.

Length Constraints: Minimum length of 1. Maximum length of 115.

Pattern: .*(^phone-number-id-.*$)|(^arn:.*:phone-number-id/[0-9a-zA-Z]+$).*

Required: Yes

Request Body

The request accepts the following data in JSON format.

callSettings

The calling settings to apply to the phone number.

Type: WhatsAppCallSettings object

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "phoneNumberId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

phoneNumberId

The unique identifier of the phone number that was updated.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 115.

Pattern: .*(^phone-number-id-.*$)|(^arn:.*:phone-number-id/[0-9a-zA-Z]+$).*

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedByMetaException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

DependencyException

Thrown when performing an action because a dependency would be broken.

HTTP Status Code: 502

InternalServiceException

The request processing has failed because of an unknown error, exception, or failure.

HTTP Status Code: 500

InvalidParametersException

One or more parameters provided to the action are not valid.

HTTP Status Code: 400

ResourceNotFoundException

The resource was not found.

HTTP Status Code: 404

ThrottledRequestException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request contains an invalid parameter value.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: